javax.vecmath

## Class Vector4f

- java.lang.Object
- - javax.vecmath.Tuple4f
  - - javax.vecmath.Vector4f

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class Vector4f
      extends Tuple4f
      implements java.io.Serializable

  A 4-element vector represented by single-precision floating point x,y,z,w coordinates.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.vecmath.Tuple4f

      `w, x, y, z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Vector4f()` Constructs and initializes a Vector4f to (0,0,0,0).
    `Vector4f(float[] v)` Constructs and initializes a Vector4f from the array of length 4.
    `Vector4f(float x, float y, float z, float w)` Constructs and initializes a Vector4f from the specified xyzw coordinates.
    `Vector4f(Tuple3f t1)` Constructs and initializes a Vector4f from the specified Tuple3f.
    `Vector4f(Tuple4d t1)` Constructs and initializes a Vector4f from the specified Tuple4d.
    `Vector4f(Tuple4f t1)` Constructs and initializes a Vector4f from the specified Tuple4f.
    `Vector4f(Vector4d v1)` Constructs and initializes a Vector4f from the specified Vector4d.
    `Vector4f(Vector4f v1)` Constructs and initializes a Vector4f from the specified Vector4f.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `angle(Vector4f v1)` Returns the (4-space) angle in radians between this vector and the vector parameter; the return value is constrained to the range [0,PI].
    `float` | `dot(Vector4f v1)` returns the dot product of this vector and v1
    `float` | `length()` Returns the length of this vector.
    `float` | `lengthSquared()` Returns the squared length of this vector
    `void` | `normalize()` Normalizes this vector in place.
    `void` | `normalize(Vector4f v1)` Sets the value of this vector to the normalization of vector v1.
    `void` | `set(Tuple3f t1)` Sets the x,y,z components of this vector to the corresponding components of tuple t1.

    - ### Methods inherited from class javax.vecmath.Tuple4f

      `absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, clone, epsilonEquals, equals, equals, get, get, getW, getX, getY, getZ, hashCode, interpolate, interpolate, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, setW, setX, setY, setZ, sub, sub, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Vector4f

          public Vector4f(float x,
                  float y,
                  float z,
                  float w)

      Constructs and initializes a Vector4f from the specified xyzw coordinates.
      Parameters:
        `x` - the x coordinate
        `y` - the y coordinate
        `z` - the z coordinate
        `w` - the w coordinate

    - #### Vector4f

          public Vector4f(float[] v)

      Constructs and initializes a Vector4f from the array of length 4.
      Parameters:
        `v` - the array of length 4 containing xyzw in order

    - #### Vector4f

          public Vector4f(Vector4f v1)

      Constructs and initializes a Vector4f from the specified Vector4f.
      Parameters:
        `v1` - the Vector4f containing the initialization x y z w data

    - #### Vector4f

          public Vector4f(Vector4d v1)

      Constructs and initializes a Vector4f from the specified Vector4d.
      Parameters:
        `v1` - the Vector4d containing the initialization x y z w data

    - #### Vector4f

          public Vector4f(Tuple4f t1)

      Constructs and initializes a Vector4f from the specified Tuple4f.
      Parameters:
        `t1` - the Tuple4f containing the initialization x y z w data

    - #### Vector4f

          public Vector4f(Tuple4d t1)

      Constructs and initializes a Vector4f from the specified Tuple4d.
      Parameters:
        `t1` - the Tuple4d containing the initialization x y z w data

    - #### Vector4f

          public Vector4f(Tuple3f t1)

      Constructs and initializes a Vector4f from the specified Tuple3f. The x,y,z components of this vector are set to the corresponding components of tuple t1. The w component of this vector is set to 0.
      Parameters:
        `t1` - the tuple to be copied
      Since:
        vecmath 1.2

    - #### Vector4f

          public Vector4f()

      Constructs and initializes a Vector4f to (0,0,0,0).

  - ### Method Detail

    - #### set

          public final void set(Tuple3f t1)

      Sets the x,y,z components of this vector to the corresponding components of tuple t1. The w component of this vector is set to 0.
      Parameters:
        `t1` - the tuple to be copied
      Since:
        vecmath 1.2

    - #### length

          public final float length()

      Returns the length of this vector.
      Returns:
        the length of this vector as a float

    - #### lengthSquared

          public final float lengthSquared()

      Returns the squared length of this vector
      Returns:
        the squared length of this vector as a float

    - #### dot

          public final float dot(Vector4f v1)

      returns the dot product of this vector and v1
      Parameters:
        `v1` - the other vector
      Returns:
        the dot product of this vector and v1

    - #### normalize

          public final void normalize(Vector4f v1)

      Sets the value of this vector to the normalization of vector v1.
      Parameters:
        `v1` - the un-normalized vector

    - #### normalize

          public final void normalize()

      Normalizes this vector in place.

    - #### angle

          public final float angle(Vector4f v1)

      Returns the (4-space) angle in radians between this vector and the vector parameter; the return value is constrained to the range [0,PI].
      Parameters:
        `v1` - the other vector
      Returns:
        the angle in radians in the range [0,PI]

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.